textures/mortify_sfx/whiteglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid 
     { 
          map textures/mortify_sfx/whiteglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/blueglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid 
     { 
          map textures/mortify_sfx/blueglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/greenglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid
     { 
          map textures/mortify_sfx/greenglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/yellowglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid
     { 
          map textures/mortify_sfx/yellowglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/redglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid
     { 
          map textures/mortify_sfx/redglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/purpleglass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid
     { 
          map textures/mortify_sfx/purpleglass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/mortify_sfx/8water
{
	nocompress
	qer_editorimage textures/mortify_sfx/8water.tga
	qer_trans .5
	q3map_surfacelight 400
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/mortify_sfx/8water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/mortify_sfx/8ripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/mortify_sfx/8ripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/mortify_sfx/8qwertz.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/mortify_sfx/purpleglow
{
	qer_editorimage textures/mortify_sfx/purpleglow.tga
	cull none	
	nocompress
	surfaceparm nomarks	
	surfaceparm nonsolid	
	surfaceparm pointlight
	surfaceparm trans
	deformVertexes wave 32 sin 0 2 0 0.2 
	tessSize 32
	{	
		map textures/mortify_sfx/purpleglow.tga
		blendFunc add
		// rgbGen wave sin 0 0.7 0 1 
		tcMod scroll 0.3 0
	}	
}

textures/mortify_sfx/orangeglow
{
	qer_editorimage textures/mortify_sfx/orangeglow.tga
	cull none	
	nocompress
	surfaceparm nomarks	
	surfaceparm nonsolid	
	surfaceparm pointlight
	surfaceparm trans
	deformVertexes wave 32 sin 0 2 0 0.2 
	tessSize 32
	{	
		map textures/mortify_sfx/orangeglow.tga
		blendFunc add
		// rgbGen wave sin 0 0.7 0 1 
		tcMod scroll 0.3 0
	}	
}


textures/mortify_sfx/rs_water
{
qer_editorimage textures/mortify_sfx/rs_water.tga
surfaceparm nodlight
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm noimpact
q3map_surfacelight 150
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5
	{
		map textures/mortify_sfx/rs_water.tga
		blendfunc blend
		rgbGen Vertex
		tcmod scale .2 .2
		tcMod scroll 0 -2
		alphaGen Vertex
	}
	{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
	}


}

textures/mortify_sfx/still
{
qer_editorimage textures/mortify_sfx/rs_water.tga
surfaceparm nodlight
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm noimpact
q3map_surfacelight 50
	cull disable
	{
		map textures/mortify_sfx/rs_water.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -2
		alphaGen Vertex
	}
	{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
	}
}

textures/mortify_sfx/still_hold
{
qer_editorimage textures/mortify_sfx/rs_water.tga
surfaceparm nodlight
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm noimpact
q3map_surfacelight 50
	cull disable
	{
		map textures/mortify_sfx/rs_water.tga
		blendfunc blend
		rgbGen Vertex
		alphaGen Vertex
	}
	{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
	}
}

textures/mortify_sfx/splash_cloud
{
	qer_editorimage textures/mortify_sfx/rs_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/mortify_sfx/rs_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 4
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/mortify_sfx/track
{ 
	qer_editorimage textures/mortify_sfx/track.tga
	q3map_nonplanar 
	q3map_shadeangle 120
	surfaceparm snowsteps
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal
	
	{
		map textures/mortify_sfx/track.tga
       		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/mortify_sfx/clock
{ 
	qer_editorimage textures/mortify_sfx/clock.tga
	q3map_nonplanar 
	q3map_shadeangle 120
	surfaceparm snowsteps
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	
	sort decal
	
	{
		map textures/mortify_sfx/clock.tga
       		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/mortify_sfx/roundlight_small
{
	qer_editorimage textures/mortify_sfx/roundlight.tga
	q3map_lightimage textures/mortify_sfx/roundlight.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mortify_sfx/roundlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mortify_sfx/roundlight.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mortify_sfx/secret_torture
{
	qer_editorimage textures/mortify_sfx/space.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/mortify_sfx/space.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
